Subject: Re: bug#17437: 24.3; ispell uses typographically correct apostrophe as word boundary

From: Agustin Martin <[email-masked]>
Date: Thu, 8 May 2014 19:38:44 +0200

On Thu, May 08, 2014 at 02:15:17PM +0200, Tobias Getzner wrote:
> 
> When using the typographically correct apostrophe (“right single
> quotation mark” U+2019), ispell will mark-up parts of words as typos.
> E.g., in “doesn’t”, the part before the apostrophe will be highlighted
> as a typo even if the spell-checker supports the apostrophe.
> 
> This bug occurs irrespective of the spell-checker, so I suppose that
> ispell does its own tokenization and uses the apostrophe as a word
> boundary. Instead, the apostrophe should correctly be treated as
> word-internal punctuation and handed on to the actual spell-checker
> program.

Which language are you using? Whether the apostrophe is or not a wordchar
depends on the language. By the way, "doesn't" is working well here with
aspell+american.

-- 
Agustin